#ifndef COLLOMOSSE_GLOBALS_H
#define COLLOMOSSE_GLOBALS_H

// Global parameters/constants
#define IMG_INTERNAL_RESIZE (512)	// This has to be a power of 2 for texturing purposes
#define RESEED_DISPLAYLIST_AT (500) // at 100 strokes
#define CIRCLE_INTERVAL (50.0f)
#define PI (3.141)

#define BG_IMAGE_DEPTH (0.0f)
#define INSET_IMAGE_DEPTH (1.0f)
#define INSET_IMAGE_SIZE (0.25)


#define TRI_INSET (0.06f)
#define CONTROL_IMAGE_DEPTH (1.0f)
#define CONTROL_IMAGE_SIZE (0.08)

#define BRUSH_TEX_X (256)
#define BRUSH_TEX_Y (256)

#define STROKE_TRANSP (0.9)
#define MIN_BRUSH_SIZE (0.02)
#define MAX_BRUSH_SIZE (0.08)

// Win32 includes
#include "windows.h"

// Computer Vision Library
#include "cxcore.h"
#include "cv.h"
#include "highgui.h"

// OpenGL includes
#include "GL/gl.h"
#include "GL/glu.h"
#include "GL/glut.h"

#include <vector>
using namespace std;

// Painting structure
typedef struct struct_colour {
	float red;
	float green;
	float blue;
} COLOUR;

typedef struct struct_stroke {

	float x;
	float y;
	COLOUR colour;
	float aspect;
	float orient;
	float scale;
	float order;

} STROKE;

typedef struct struct_painting {

	vector <STROKE> strokelist;

} PAINTING;



#endif // end include once